<?php

namespace Drupal\paragraph_blocks\Entity;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\paragraphs\Entity\Paragraph;

/**
 * Extend the Paragraph entity.
 */
class ParagraphBlocksEntity extends Paragraph {

  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function getSummaryItems(array $options = []) {
    $field_definition = $this->getFieldDefinition('admin_title');
    $text_summary = $this->getTextSummary('admin_title', $field_definition);
    if ($text_summary != '') {
      return ['content' => [$text_summary], 'behaviors' => []];
    }
    else {
      return parent::getSummaryItems($options);
    }
  }

}
